<template>
	<div class="form-field">
		{{ definition.$label }} {{ { value: definition.value } }} <br>
		<input v-if="definition.value !== undefined" :value="definition.value"
		       @input="event => definition.setValue(event.target.value)">
		{{ definition.$valid }}
		<div v-if="definition.$scheme?.fields">
			<div v-for="field in definition.$scheme.fields" :key="field.name">
				-
				<form-field
					:definition="definition[field.name.toLowerCase()]"></form-field>
			</div>
		</div>
	</div>
</template>

<script>
export default {
	name: "FormField",
	props: {
		definition: Object
	}
};
</script>

<style scoped>

</style>
